# Interface ConfigurableIncludedBuild

All Superinterfaces:
  `IncludedBuild`

@Incubating public interface ConfigurableIncludedBuild extends IncludedBuild
A build that is to be included in the composite.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`dependencySubstitution(Action<? super DependencySubstitutions> action)`
Configures the dependency substitution rules for this included build.

### Methods inherited from interface IncludedBuild

`getName, getProjectDir, task`

## Method Details

### dependencySubstitution

void dependencySubstitution(Action<? super DependencySubstitutions> action)
Configures the dependency substitution rules for this included build. The action receives an instance of `DependencySubstitutions` which can be configured with substitution rules. Project dependencies are resolved in the context of the included build.

See Also:
  - `ResolutionStrategy.dependencySubstitution(Action)`
  - `DependencySubstitutions`